Statistics
83
0
0
11d
Badges
Dependencies

Arachne/Doctrine

Build Status Coverage Status SensioLabs Insight VersionEye Latest stable Downloads this Month License

Additional integrations of Doctrine to Kdyby and Arachne packages.

Documentation

This package works as a bridge to connect Kdyby/Doctrine with other libraries. There are no hard dependencies. Instead Arachne/Doctrine will add each feature if the necessary extensions are available.

  • v0.9.0 v0.9.0

    • Remove direct dependency on Arachne/ServiceCollections.
    • Remove support for array in FilterIn for security reasons.
    • Add tests for DoctrineExtension and ValidatorListener.
    • Remove cache for ExpressionLanguage.
    • Refactor Arachne/EntityLoader integration to support v0.11.
    • Update to PHP 7.1.
    • Use PHPStan.
    • Add .editorconfig.
  • v0.8.0 v0.8.0

    • Support arachne/entity-loader v0.10
    • Remove Nette\Object and other useless code
  • v0.7.2 v0.7.2

    • Fix configuration of ExpressionLanguage cache
  • v0.7.1 v0.7.1

    • Ignore entities with composite identifiers
    • Fix compatibility with arachne/event-manager
  • v0.7.0 v0.7.0

    • Add compatibility with Arachne/EventManager
    • Remove support for Symfony 2 type names
    • Enable arachne/di-helpers v0.5
    • Enable arachne/entity-loader v0.9
    • New coding style, refactoring

Is this addon outdated? Did you find an issue? Please report it.

Componette Componette admin@componette.com